<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
admin
</p>
<p>Provides methods to access and modify pay-as-you-go ssh connection data</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#list"/>list</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a new ssh connection data to extract data from
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string description
 </li>
<li>

    string host - hostname or IP address to the instance, will fail if
 already in use.
 </li>
<li>

    int port
 </li>
<li>

    string username
 </li>
<li>

    string password
 </li>
<li>

    string key - private key to use in authentication
 </li>
<li>

    string keyPassword
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a new ssh connection data to extract data from
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string description
 </li>
<li>

    string host - hostname or IP address to the instance, will fail if
 already in use.
 </li>
<li>

    int port
 </li>
<li>

    string username
 </li>
<li>

    string password
 </li>
<li>

    string key - private key to use in authentication
 </li>
<li>

    string keyPassword
 </li>
<li>

    string bastionHost - hostname or IP address to a bastion host
 </li>
<li>

    int bastionPort
 </li>
<li>

    string bastionUsername
 </li>
<li>

    string bastionPassword
 </li>
<li>

    string bastionKey - private key to use in bastion authentication
 </li>
<li>

    string bastionKeyPassword
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Returns a list of ssh connection data registered.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string host - hostname or IP address of the instance
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Returns a list of ssh connection data registered.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string host - hostname or IP address of the instance, will fail if
 host doesn't exist.
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct -  sshData 
	<ul>
              	<li> string "description"</li>
              	<li> string "hostname"</li>
              	<li> int "port"</li>
              	<li> string "username"</li>
              	<li> string "password"</li>
              	<li> string "key"</li>
              	<li> string "key_password"</li>
              	<li> string "bastion_hostname"</li>
              	<li> int "bastion_port"</li>
              	<li> string "bastion_username"</li>
              	<li> string "bastion_password"</li>
              	<li> string "bastion_key"</li>
              	<li> string "bastion_key_password"</li>
      	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="list" href="#top">Method: list</a></h3>
Description:<br />
Returns a list of ssh connection data registered.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
     

	     struct -  sshData 
	<ul>
              	<li> string "description"</li>
              	<li> string "hostname"</li>
              	<li> int "port"</li>
              	<li> string "username"</li>
              	<li> string "password"</li>
              	<li> string "key"</li>
              	<li> string "key_password"</li>
              	<li> string "bastion_hostname"</li>
              	<li> int "bastion_port"</li>
              	<li> string "bastion_username"</li>
              	<li> string "bastion_password"</li>
              	<li> string "bastion_key"</li>
              	<li> string "bastion_key_password"</li>
      	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>
Description:<br />
Updates the details of a ssh connection data
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string host - hostname or IP address to the instance, will fail if
 host doesn't exist.
 </li>
<li>

	     struct - user details
	<ul>
     	<li> string "description"</li>
     	<li> int "port"</li>
     	<li> string "username"</li>
     	<li> string "password"</li>
     	<li> string "key"</li>
     	<li> string "key_password"</li>
     	<li> string "bastion_host"</li>
     	<li> int "bastion_port"</li>
     	<li> string "bastion_username"</li>
     	<li> string "bastion_password"</li>
     	<li> string "bastion_key"</li>
     	<li> string "bastion_key_password"</li>
   	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
